#!/bin/sh

TARGETDIR=/usr/sbin
INSTALL=/usr/bin/install

echo "Installing icpd in $TARGETDIR..."
$INSTALL -m 750 -o root -g root icpd $TARGETDIR
$INSTALL -m 750 -o root -g root icpdconf.sh $TARGETDIR

echo "Installing icpd.conf in /etc..."
if [ -f /etc/icpd.conf ]; then
    while [ "$answer" != "y" -a "$answer" != "n" ]; do
	echo -n "/etc/icpd.conf already exists. Overwrite it (y/n) ? "
	read answer
    done
    if [ "$answer" = "n" ]; then
	echo "leaving /etc/icpd.conf untouched."
    else
	echo "writing new /etc/icpd.conf."
    fi
else
    answer="y"
fi

if [ "$answer" = "y" ]; then
    $INSTALL -m 644 -o root -g root icpd.conf /etc
fi

# launch $TARGETDIR/icpdconf.sh
$TARGETDIR/icpdconf.sh

